#if !defined(AFX_SETACCOUNTEXTREFID_H__4D74353B_5DA7_40B2_A14C_FE702893F01F__INCLUDED_)
#define AFX_SETACCOUNTEXTREFID_H__4D74353B_5DA7_40B2_A14C_FE702893F01F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetAccountExtRefID.h : header file
//
#if defined WPPCS
/////////////////////////////////////////////////////////////////////////////
// CSetAccountExtRefID dialog

class CSetAccountExtRefID : public CDialog
{
// Construction
public:
	CSetAccountExtRefID(CWnd* pParent = NULL);   // standard constructor
	CSetAccountExtRefID(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CSetAccountExtRefID)
	enum { IDD = IDD_SET_EXTREFID_ACCOUNT };
	CEdit	m_CtlExtRefID;
	CComboBox	m_AcctList;
	CString	m_ExtRefID;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetAccountExtRefID)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetAccountExtRefID)
	virtual BOOL OnInitDialog();
	afx_msg void OnSet();
	afx_msg void OnClear();
	afx_msg void OnSelchangeAcctlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadAccountDetails();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif //WPPCS

#endif // !defined(AFX_SETACCOUNTEXTREFID_H__4D74353B_5DA7_40B2_A14C_FE702893F01F__INCLUDED_)
